Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.http.client.cache
Enum CacheResponseStatus

    java.lang.Object
      java.lang.Enum<CacheResponseStatus>
          org.apache.http.client.cache.CacheResponseStatus

All Implemented Interfaces:
  Serializable, Comparable<CacheResponseStatus>

    public enum CacheResponseStatus

extends Enum<CacheResponseStatus>

This enumeration represents the various ways a response can be generated by the `CachingHttpClient`; if a request is executed with an `HttpContext` then a parameter with one of these values will be registered in the context under the key `CachingHttpClient.CACHE_RESPONSE_STATUS`.

Enum Constant Summary
`CACHE_HIT` A response was generated from the cache with no requests sent upstream.
`CACHE_MISS` The response came from an upstream server.
`CACHE_MODULE_RESPONSE` The response was generated directly by the caching module.
`VALIDATED` The response was generated from the cache after validating the entry with the origin server.

Method Summary
`static CacheResponseStatus` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CacheResponseStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### CACHE_MODULE_RESPONSE

    public static final CacheResponseStatus CACHE_MODULE_RESPONSE

  The response was generated directly by the caching module.

### CACHE_HIT

    public static final CacheResponseStatus CACHE_HIT

  A response was generated from the cache with no requests sent upstream.

### CACHE_MISS

    public static final CacheResponseStatus CACHE_MISS

  The response came from an upstream server.

### VALIDATED

    public static final CacheResponseStatus VALIDATED

  The response was generated from the cache after validating the entry with the origin server.

Method Detail

### values

    public static final CacheResponseStatus[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(CacheResponseStatus c : CacheResponseStatus.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static CacheResponseStatus valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 1999-2013 The Apache Software Foundation. All Rights Reserved.